Package org.apache.catalina.ha.deploy

## Class FileMessage

- java.lang.Object
- - org.apache.catalina.ha.ClusterMessageBase
  - - org.apache.catalina.ha.deploy.FileMessage

All Implemented Interfaces:
  `java.io.Serializable`, `ClusterMessage`

    public class FileMessage
    extends ClusterMessageBase

Contains the data for a file being transferred over TCP, this is essentially a fragment of a file, read and written by the FileMessageFactory.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.catalina.ha.ClusterMessageBase

`address`

### Constructor Summary

Constructors
`FileMessage​(Member source, java.lang.String fileName, java.lang.String contextName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getContextName()`
`byte[]` `getData()`
`int` `getDataLength()`
`java.lang.String` `getFileName()`
`int` `getMessageNumber()`
`long` `getTotalNrOfMsgs()`
`java.lang.String` `getUniqueId()`
`void` `setData​(byte[] data, int length)`
`void` `setMessageNumber​(int messageNumber)`
`void` `setTotalNrOfMsgs​(long totalNrOfMsgs)`

### Methods inherited from class org.apache.catalina.ha.ClusterMessageBase

`getAddress, getTimestamp, setAddress, setTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileMessage

    public FileMessage​(Member source,
                       java.lang.String fileName,
                       java.lang.String contextName)

### Method Detail

#### getMessageNumber

    public int getMessageNumber()

#### setMessageNumber

    public void setMessageNumber​(int messageNumber)

#### getTotalNrOfMsgs

    public long getTotalNrOfMsgs()

#### setTotalNrOfMsgs

    public void setTotalNrOfMsgs​(long totalNrOfMsgs)

#### getData

    public byte[] getData()

#### setData

    public void setData​(byte[] data,
                        int length)

#### getDataLength

    public int getDataLength()

#### getUniqueId

    public java.lang.String getUniqueId()

#### getFileName

    public java.lang.String getFileName()

#### getContextName

    public java.lang.String getContextName()